import { BbAuthInterceptor } from './auth.interceptor';
import { BbApiConfig } from './api.interfaces';
import { BbAuth } from './auth.service';
import { BbApi } from './api.service';
export declare class BbApiModule {
    constructor(_parent: BbApiModule);
    static forRoot(config: BbApiConfig): {
        ngModule: typeof BbApiModule;
        providers: (typeof BbApi | typeof BbAuth | {
            provide: import("@angular/core").InjectionToken<import("@angular/common/http").HttpInterceptor[]>;
            useClass: typeof BbAuthInterceptor;
            multi: boolean;
        } | {
            provide: typeof BbApiConfig;
            useValue: BbApiConfig;
        })[];
    };
}
