import { ElementRef } from '@angular/core';
import { CanDisable, CanDisableConstructor } from '../core/mixins/can-disable';
declare class BbButtonBase {
    _elementRef: ElementRef;
    constructor(_elementRef: ElementRef);
}
declare const BbButtonMixinBase: CanDisableConstructor & typeof BbButtonBase;
export declare class BbButton extends BbButtonMixinBase implements CanDisable {
    readonly nativeElement: any;
    constructor(_elementRef: ElementRef<HTMLButtonElement>);
    focus(): void;
}
export declare class BbAnchor extends BbButton {
    tabIndex: number;
    constructor(_elementRef: ElementRef);
    stopDisabledEvents(event: Event): void;
}
export {};
