import { HttpClient, HttpHeaders, HttpParams } from '@angular/common/http';
import { BbApiConfig } from './api.interfaces';
export declare class BbApi {
    private _http;
    private _config;
    private readonly _baseUrl;
    constructor(_http: HttpClient, _config: BbApiConfig);
    get<T = any>(endpoint: string, options?: {
        headers?: HttpHeaders | {
            [header: string]: string | string[];
        };
        params?: HttpParams | {
            [param: string]: string | string[];
        };
    }): import("rxjs").Observable<T>;
    post<T = any>(endpoint: string, body: any | null): Promise<T>;
    put<T = any>(endpoint: string, body: any | null): Promise<T>;
    delete<T = any>(endpoint: string): Promise<T>;
    private toUrl;
}
